Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Class Import

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.ImportModel
                  org.eclipse.update.core.Import

All Implemented Interfaces:
  IAdaptable, IImport, IPlatformEnvironment, IUpdateConstants

public class Import
extends ImportModel
implements IImport

Convenience implementation of a plug-in dependency.

This class may be instantiated or subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `IImport`, `ImportModel`

Field Summary

Fields inherited from interface org.eclipse.update.core.IImport
`KIND_FEATURE, KIND_PLUGIN`

Fields inherited from interface org.eclipse.update.core.IUpdateConstants
`RULE_COMPATIBLE, RULE_EQUIVALENT, RULE_GREATER_OR_EQUAL, RULE_NONE, RULE_PERFECT, RULE_PREFIX, SEARCH_ROOT, SEARCH_SELF`

Constructor Summary
`Import()`

Method Summary
`int` | `getIdRule()` Returns the matching rule for the dependency identifier.
`int` | `getKind()` Returns the dependency kind
`int` | `getRule()` Returns the matching rule for the dependency.
`VersionedIdentifier` | `getVersionedIdentifier()` Returns an identifier of the dependent plug-in.

Methods inherited from class org.eclipse.update.core.model.ImportModel
`getIdentifier, getMatchingIdRuleName, getMatchingRuleName, getNL, getOS, getOSArch, getPluginIdentifier, getPluginVersion, getVersion, getWS, isFeatureImport, isPatch, setFeatureImport, setIdentifier, setMatchingIdRuleName, setMatchingRuleName, setNL, setOS, setOSArch, setPatch, setPluginIdentifier, setPluginVersion, setVersion, setWS`

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getPropertyName, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolve, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.update.core.IImport
`isPatch`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.update.core.IPlatformEnvironment
`getNL, getOS, getOSArch, getWS`

Constructor Detail

### Import

    public Import()

Method Detail

### getVersionedIdentifier

    public VersionedIdentifier getVersionedIdentifier()

  Returns an identifier of the dependent plug-in.

  Specified by:
    `getVersionedIdentifier` in interface `IImport`
  Returns:
    plug-in identifier
  See Also:
    `IImport.getVersionedIdentifier()`

### getRule

    public int getRule()

  Returns the matching rule for the dependency.

  Specified by:
    `getRule` in interface `IImport`
  Returns:
    matching rule
  See Also:
    `IImport.getRule()`

### getIdRule

    public int getIdRule()

  Returns the matching rule for the dependency identifier.

  Specified by:
    `getIdRule` in interface `IImport`
  Returns:
    matching id rule
  See Also:
    `IImport.getIdRule()`

### getKind

    public int getKind()

  Returns the dependency kind

  Specified by:
    `getKind` in interface `IImport`
  Returns:
    KIND_PLUGIN if the dependency relates to a plugin, KIND_FEATURE if the dependency relates to a feature.
  See Also:
    `IImport.getKind()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.